# manifest-service

> Provides the collected manifest.json of services in a cluster

## Endpoint

- `/api/manifest.json`

## Deployments

**local**

- adjust `.env`
- run `yarn dev`

**docker**

```
docker build -t manifest-service .
docker run -t -i -p 8080:8080 manifest-service
```

**kubernetes**

```
cd helm
helm upgrade -i -f manifest-service/values.yaml -f values/develop.yaml manifest-service ./manifest-service
```

## Configuration

**local, docker**

| Parameter       | Description                     | Default  |
|-----------------|---------------------------------|----------|
| `PORT`          | Exposed port                    | `"8080"` |
| `CACHE_TTL`     | Vite manifest caching time      | `30000`  |
| `LOG_LEVEL`     | Pino log level                  | `"info"` |

**kubernetes**

| Parameter      | Description                     | Default  |
|----------------|---------------------------------|----------|
| `port`         | Exposed port                    | `"8080"` |
| `cacheTTL`     | Vite manifest caching time      | `30000`  |
| `logLevel`     | Pino log level                  | `"info"` |
